#!/bin/bash

set -e

# start the queue worker
# if CONSUME_KAFKA_TOPIC or OUTPUT_KAFKA_TOPIC is set, the string after the '+' is used,
# otherwise a blank string
eval exec /usr/bin/run_queue_worker.py \
    --config-file "$WRITABLE_BASE_DIR/etc/lastline/queue_worker.ini" \
    "${WORKER_MODULE}" \
    ${CONSUME_KAFKA_TOPIC+"--consume-kafka-topic $CONSUME_KAFKA_TOPIC"} \
    --kafka-consumer-group "${KAFKA_CONSUMER_GROUP}" \
    ${OUTPUT_KAFKA_TOPIC+"--output-kafka-topic $OUTPUT_KAFKA_TOPIC"} \
    --liveness-interval-seconds "${LIVENESS_INTERVAL_SECONDS}" \
    "${EXTRA_ARGS}"
